Bug 40215 - Add check tool for verifying class group memberships
Add check tool for verifying class group memberships
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Import scripts
UCS@school 4.1
Other Linux
: P5 normal (vote)
: UCS@school 4.1 Errata
Assigned To: Sönke Schwardt-Krummrich
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 17:40 CET by Sönke Schwardt-Krummrich
Modified: 2015-12-21 16:24 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2015-12-10 17:40:09 CET
The tool for verifying the class group memberships with specified CSV import files of students should be added to UCS@school.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2015-12-14 12:54:04 CET
ucs-school-import (12.0.1-1):
r66313 | Bug #40215: added test script ucs-school-verify-class-memberships

Added script and xml changelog entry.

The script ucs-school-verify-class-memberships has been added in
/usr/share/ucs-school-import/scripts/ and is able to verify if the LDAP class group membership of students matches with the class groups specified in a given CSV file.
The script performs a read only test and does not alter the LDAP directory.
Comment 2 Florian Best univentionstaff 2015-12-15 15:26:58 CET
OK: script
OK: changelog
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2015-12-21 16:24:51 CET
UCS@school 4.1 v2 has been released:
http://docs.univention.de/release-notes-ucsschool-4.1v2-de.html

If this error occurs again, please use "Clone This Bug".